kind: StatefulSet
apiVersion: apps/v1
metadata:
  name: jeecg-boot-system-mdm
  namespace: mdm-9-22
  labels:
    k8s.kuboard.cn/name: jeecg-boot-system-mdm
  annotations:
    kubesphere.io/creator: admin
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s.kuboard.cn/name: jeecg-boot-system-mdm
  template:
    metadata:
      creationTimestamp: null
      labels:
        k8s.kuboard.cn/name: jeecg-boot-system-mdm
      annotations:
        cni.projectcalico.org/ipAddrs: '["10.244.10.66"]'
        kubectl.kubernetes.io/restartedAt: '2023-09-14T15:39:50+08:00'
        kubesphere.io/creator: admin
        kubesphere.io/restartedAt: '2023-09-25T07:53:06.004Z'
    spec:
      volumes:
        - name: vol-mdm
          persistentVolumeClaim:
            claimName: pvc-mdm
      containers:
        - name: jeecg-boot-system-mdm
          image: '172.21.13.108:80/platform-v3/jeecg-boot-system:3.1.06379-mdm'
          command:
            - /bin/sh
            - '-c'
            - >-
              ifconfig eth0 hw ether 76:66:a2:d8:66:0e;ln -s
              /mnt/jeecglic.properties ./config/jeecglic.properties;java
              -Djava.security.egd=file:/dev/./urandom -jar
              jeecg-boot-module-system-3.0.0.jar  -Xms256m  -Xmx2g
              --spring.profiles.active=dockerdev;tail -f /dev/null
          workingDir: /jeecg-boot
          ports:
            - name: sys
              hostPort: 8081
              containerPort: 8080
              protocol: TCP
          resources: {}
          volumeMounts:
            - name: vol-mdm
              mountPath: /mnt
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: IfNotPresent
          securityContext:
            capabilities:
              add:
                - SYS_ADMIN
            privileged: true
            runAsUser: 0
            runAsGroup: 0
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext:
        seLinuxOptions: {}
      affinity: {}
      schedulerName: default-scheduler
      hostAliases:
        - ip: 10.244.10.88
          hostnames:
            - jeecg-boot-redis
      dnsConfig: {}
  serviceName: jeecg-boot-system-mdm
  podManagementPolicy: OrderedReady
  updateStrategy:
    type: RollingUpdate
  revisionHistoryLimit: 10
